@use 'breakpoint';

@mixin container-widthify($css-var) {
	#{$css-var}: 100%;

	@include breakpoint.small {
		#{$css-var}: var(--digi--container-width--small);
	}

	@include breakpoint.medium {
		#{$css-var}: var(--digi--container-width--medium);
	}

	@include breakpoint.large {
		#{$css-var}: var(--digi--container-width--large);
	}

	@include breakpoint.extra-large {
		#{$css-var}: var(--digi--container-width--larger);
	}
}

@mixin container {
	width: 100%;
	max-width: var(--digi--responsive-container-width);
	margin-inline: auto;
	padding-inline: var(--digi--responsive-grid-gutter--outer);
}
